<?php get_header(); ?>

<div id="content">
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<div class="post" id="post-<?php the_ID(); ?>">
<div class="post-text">
<h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>" class="post-title"><?php the_title(); ?></a></h1>
</div>
<?php the_content(); ?>
<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
<?php the_tags( '<p class="post-tags"><strong>Tags:</strong>  ', ', ', '</p>'); ?>
<div class="post-meta">
<span class="post-date"><?php the_time('jS F Y') ?> at <?php the_time() ?></span>
<span class="post-category"><?php the_category(', ') ?></span>
<span class="post-comment"><?php comments_popup_link('Leave a comments', '1 comment', '% comments'); ?></span>
<?php edit_post_link('Edit'); ?>
</div>
<div class="post-related">
<h2>Related entries</h2>
<ul>
<?php include('related.php'); ?>
</ul>
</div>
<div class="post-share">
<a href="http://digg.com/submit?phase=2&amp;url=<?php the_permalink(); ?>" class="digg" title="Digg it">Digg it</a>
<a href="http://www.stumbleupon.com/submit?url=<?php the_permalink(); ?>&amp;title=<?php echo urlencode(get_the_title($id)); ?>" title="StumbleUpon" class="stumbleupon">StumbleUpon</a>
<a href="http://www.facebook.com/sharer.php?u=<?php the_permalink();?>&amp;t=<?php echo urlencode(get_the_title($id)); ?>" title="Facebook" class="facebook">Facebook</a>
<a href="http://twitter.com/home?status=<?php echo urlencode("Currently reading: "); ?><?php the_permalink(); ?>" title="Twitter" class="twitter">Twitter</a>
<a href="http://delicious.com/post?url=<?php the_permalink(); ?>&amp;title=<?php echo urlencode(get_the_title($id)); ?>" title="del.icio.us" class="delicious">del.icio.us</a>
<a href="http://www.google.com/bookmarks/mark?op=add&amp;bkmk=<?php the_permalink();?>title=<?php echo urlencode(get_the_title($id)); ?>" title="Google" class="google">Google</a>
<a href="http://bookmarks.yahoo.com/toolbar/savebm?u=<?php the_permalink(); ?>&amp;t=<?php echo urlencode(get_the_title($id)); ?>" title="Yahoo!" class="yahoo">Yahoo!</a>
<a href="http://reddit.com/submit?url=<?php the_permalink(); ?>&amp;title=<?php echo urlencode(get_the_title($id)); ?>" title="Reddit" class="reddit">reddit</a>
</div>
<p class="postmetadata">
This entry was posted on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?> and is filed under <?php the_category(', ') ?>. You can follow any responses to this entry through the <?php post_comments_feed_link('RSS 2.0'); ?> feed.
<?php if ( comments_open() && pings_open() ) { ?>You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(); ?>" rel="trackback">trackback</a> from your own site.
<?php } elseif ( !comments_open() && pings_open() ) { ?>Responses are currently closed, but you can <a href="<?php trackback_url(); ?> " rel="trackback">trackback</a> from your own site.
<?php } elseif ( comments_open() && !pings_open() ) { ?>You can skip to the end and leave a response. Pinging is currently not allowed.
<?php } elseif ( !comments_open() && !pings_open() ) { ?>Both comments and pings are currently closed.
<?php } edit_post_link('Edit this entry.','',''); ?>
</p>
<div id="footer-navi">
<?php previous_post_link('<span class="text"><label>&ndash;&nbsp;Previous</label>%link</span>') ?>
<?php next_post_link('<span class="text"><label>&ndash;&nbsp;Next</label>%link</span>') ?>
</div>
</div><!-- END Post -->
<?php comments_template('/comments.php',true); ?>
<?php endwhile; else: ?>
<?php include('none.php'); ?>
<?php endif; ?>
</div><!-- END Content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>